コンテンツにスキップ
ShopentlyLearn

顧客申請の更新

1回のAPIリクエストで、申請ステータス、記録済みの返金額、またはその両方を変更します。

PATCH/api/v1/requests/{request_id}

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/requests/request-0000 \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-request-update' \
  --header 'Content-Type: application/json' \
  --data-raw '{"refund":{"amount":"25.00","expected_version":0},"status":{"expected_version":1,"status_id":"request-accepted"}}'

レスポンス

{
  "data": {
    "deleted": false,
    "id": "request-0000",
    "version": null,
    "versions": {
      "refund": 1,
      "status": 2
    }
  },
  "meta": {
    "request_id": "example"
  }
}

必要な権限

利用可能な最低プラン
BASIC
キーの権限
申請を管理returns.request:update申請の返金額の変更payments.request_refund:adjust_amount